<?php


// -----------------------------------------------
// Set the path to the program to be executed when
// the submit button is clicked.  in this case, it
// is this program itself. It modifies itself each
// time it is called.

   $RunThisProgram = $_SERVER["SCRIPT_NAME"];

   $CurrYear = gmdate("Y");

// -----------------------------------
// Read input argument from interface.

   $constellation = @$_POST["ConstellationID"];

   @list($ConstellationIndex, $id) = preg_split("[ ]", $constellation);

   $ConstellationIndex = floatval($ConstellationIndex);

   $DDListStr = DD_List($ConstellationIndex);

   $URL = IAU_Constellation_URL ($id);



print <<< _HTML

<!DOCTYPE HTML>

<html lang='en'>

<head>

<title>IAU Constellation Viewer - PHP Science Labs</title>

<meta name='viewport' content='width=device-width, initial-scale=1'>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="IAU Constellation Charts Viewer">
<meta name="keywords" content="IAU constellations,constellation,stellar">
<meta name="author" content="Jay Tanner - NeoProgrammics PHPScienceLabs">
<meta http-equiv='pragma'  content='no-cache'>
<meta http-equiv='expires' content='-1'>
<meta name='robots'    content='index,follow'>
<meta name='googlebot' content='index,follow'>
<link rel="canonical" href="https://www.phpsciencelabs.com/stellar-constellation-charts-iau/">

</head>

<body style='font-family:Verdana; font-size:14px; background-color:black; color:black;'>

<table align='top' bgcolor='black'>
<tr><td align='center' style='font-weight:normal; font-size:175%; text-align:center; background-color:#000066; color:white; padding:6px; border:2px solid white; border-radius:8px 8px 0px 0px;'>IAU Constellation Charts Viewer<br><span style='font-size:70%;'>PHP Program by Jay Tanner</span>
<br><br>
$DDListStr
<br>
$URL
<br><br>
<img src='legend.png' title='Symbol Legend'>

<hr>
<div style='font-size:60%; text-align:center; background-color:black; color:white;'>
Chart Viewing Program by Jay Tanner - $CurrYear<br>
Charts Courtesy IAU and Sky & Telescope Magazine (Roger Sinnott & Rick Fienberg)<br>
Licensed Under the Creative Commons Attribution 3.0 Unported license
</div>

</td></tr></table>

<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
</body>
</html>

_HTML;



// This function generates a constellations
// drop-down table with selected option.

function DD_List($DDIndex=1)
{

global $RunThisProgram;

// Define constellations data array

$w[1]  = "And - Andromeda - The Chained Princess of Ethiopia";
$w[2]  = "Ant - Antlia - The Air Pump";
$w[3]  = "Aps - Apus - Bird of Paradise";
$w[4]  = "Aqr - Aquarius - The Water Bearer";
$w[5]  = "Aql - Aquila - The Eagle";
$w[6]  = "Ara - The Altar";
$w[7]  = "Ari - Aries - The Ram";
$w[8]  = "Aur - Auriga - The Charioteer";
$w[9]  = "Boo - Bo&#246;tes - The Herdsman";
$w[10] = "Cae - Caelum - Engraving Tool";
$w[11] = "Cam - Camelopardalis - The Giraffe";
$w[12] = "Cnc - Cancer - The Crab";
$w[13] = "CVn - Canes Venatici - The Hunting Dogs";
$w[14] = "CMa - Canis Major - The Greater Dog";
$w[15] = "CMi - Canis Minor - The Lesser Dog";
$w[16] = "Cap - Capricornus - The Sea Goat";
$w[17] = "Car - Carina - The Keelboat";
$w[18] = "Cas - Cassiopeia - The Seated Queen of Ethiopia";
$w[19] = "Cen - Centaurus  - The Centaur";
$w[20] = "Cep - Cepheus - The King of Ethiopia";
$w[21] = "Cet - Cetus - The Sea Monster";
$w[22] = "Cha - Chamaeleon - The Chameleon Lizard";
$w[23] = "Cir - Circinus - The Draftman's Compass";
$w[24] = "Col - Columba - The Dove";
$w[25] = "Com - Coma Berenices - Hair of Egyptian Queen Bernice II";
$w[26] = "CrA - Corona Australis - The Southern Crown";
$w[27] = "CrB - Corona Borealis - The Northern Crown";
$w[28] = "Crv - Corvus - The Crow";
$w[29] = "Crt - Crater - The Cup";
$w[30] = "Cru - Crux - The Southern Cross";
$w[31] = "Cyg - Cygnus - The Swan";
$w[32] = "Del - Delphinus - The Dolphin";
$w[33] = "Dor - Dorado - The Swordfish";
$w[34] = "Dra - Draco - The Dragon";
$w[35] = "Equ - Equuleus - The Little Horse";
$w[36] = "Eri - Eridanus - The Mythical River Eridanus";
$w[37] = "For - Fornax - The Furnace";
$w[38] = "Gem - Gemini - The Twins";
$w[39] = "Gru - Grus - The Crane Bird";
$w[40] = "Her - Hercules - The Greek Hero";
$w[41] = "Hor - Horologium - The Clock";
$w[42] = "Hya - Hydra - The Female Watersnake";
$w[43] = "Hyi - Hydrus - The Male Watersnake";
$w[44] = "Ind - Indus - The Indian";
$w[45] = "Lac - Lacerta - The Lizard";
$w[46] = "Leo - Leo - The Lion";
$w[47] = "LMi - Leo Minor - The Lesser Lion";
$w[48] = "Lep - Lepus - The Hare";
$w[49] = "Lib - Libra - The Balance Scales";
$w[50] = "Lup - Lupus - The Wolf";
$w[51] = "Lyn - Lynx - The Lynx Cat";
$w[52] = "Lyr - Lyre - The Lyre - Musical Instrument";
$w[53] = "Men - Mensa - The Table Mountain";
$w[54] = "Mic - Microscopium - The Microscope";
$w[55] = "Mon - Monoceros - The Unicorn";
$w[56] = "Mus - Musca - The Fly - Insect";
$w[57] = "Nor - Norma - The Carpenter's Square";
$w[58] = "Oct - Octans - The Mariner's Octant";
$w[59] = "Oph - Ophiuchus - The Serpent Bearer";
$w[60] = "Ori - Orion - The Hunter";
$w[61] = "Pav - Pavo - The Peacock";
$w[62] = "Peg - Pegasus - The Winged Horse";
$w[63] = "Per - Perseus - The Demigod Son of Zeus";
$w[64] = "Phe - Phoenix - The Phoenix Bird";
$w[65] = "Pic - Pictor - The Painter's Easel";
$w[66] = "Psc - Pisces - The Fishes";
$w[67] = "PsA - Piscis Austrinus - The Southern Fish";
$w[68] = "Pup - Pupis - The Stern of the Ship Argo Navis";
$w[69] = "Pyx - Pyxis - The Mariner's Compass";
$w[70] = "Ret - Reticulum - The Telescope Reticle";
$w[71] = "Sge - Sagitta - The Arrow";
$w[72] = "Sgr - Sagittarius - The Archer";
$w[73] = "Sco - Scorpius - The Scorpion";
$w[74] = "Scl - Sculptor - The Sculptor";
$w[75] = "Sct - Scutum - The Shield";
$w[76] = "Ser - Serpens - The Serpent";
$w[77] = "Sex - Sextans - The Mariner's Sextant";
$w[78] = "Tau - Taurus - The Bull";
$w[79] = "Tel - Telescopium - The Telescope";
$w[80] = "Tri - Triangulum - The Triangle";
$w[81] = "TrA - Triangulum Australe - The Southern Triangle";
$w[82] = "Tuc - Tucana - The Toucan (South American Bird)";
$w[83] = "UMa - Ursa Major - The Greater Bear - Big Dipper";
$w[84] = "UMi - Ursa Minor - The Lesser Bear - Little Dipper";
$w[85] = "Vel - Vela - The Sails of the Ship Argo Navis";
$w[86] = "Vir - Virgo - The Maiden";
$w[87] = "Vol - Volans - The Flying Fish";
$w[88] = "Vul - Vulpecula - The Fox";

   $DDListStr = $s = '';

   for ($i=1;   $i <= 88;   $i++)
  {
   $item = $w[$i];

   $ii = sprintf("%02d", $i);

   if ($DDIndex == $i)  {$s = " selected";} else {$s = '';}

   $id = trim(substr($item, 0,3));

   $DDListStr .= "<option value=\"$ii $id\"$s style='text-align:left;'>$item</option>\n";
  }

   $DDListStr = trim($DDListStr);

$DDListStr =
"<form ID='Form1' name='form1' method='post' action=\"$RunThisProgram\">
<select name='ConstellationID' style='color:white; background:#440000; font-family:monospace; font-weight:bold; font-size:80%; padding:4px; text-align:center;' OnChange='this.form.submit();'>

$DDListStr
</select>
<br>
<input ID='ViewChartButton' name='ViewChartButton' type='submit' value='View Chart' AutoFocus>
</form>
";

return $DDListStr;

} // End






  function IAU_Constellation_URL ($ConstellationID)

{
   $id = strtoupper($ConstellationID);

   $Constellations = strtoupper(" And Ant Aps Aqr Aql Ara Ari Aur Boo Cae Cam Cnc CVn CMa CMi Cap Car Cas Cen Cep Cet Cha Cir Col Com CrA CrB Crv Crt Cru Cyg Del Dor Dra Equ Eri For Gem Gru Her Hor Hya Hyi Ind Lac Leo LMi Lep Lib Lup Lyn Lyr Men Mic Mon Mus Nor Oct Oph Ori Pav Peg Per Phe Pic Psc PsA Pup Pyx Ret Sge Sgr Sco Scl Sct Ser Sex Tau Tel Tri TrA Tuc UMa UMi Vel Vir Vol Vul ");

// Check for case-insensitive abbreviation match.
   $p = strpos($Constellations, ' ' . trim($id) . ' ');

// FALSE if abbreviation not found.
   if ($p === FALSE) {return $p;}

   $w = "$id.png";

   $URL = "<img src=\"$w\" border='1'>";

   return $URL;
}


?>
